1

I upgraded my Ubuntu server to php 7 and setup ssh2. Afterwards, my WordPress plugins/themes will not update. I am receiving the Unable to locate WordPress Content directory (wp-content). This feature worked fine prior using php 5. My permissions were not changed and remain 755 (folders) 644 (files).

I am using the same ssh user as before, which is my primary user on the server. I unzipped the php7.zip file to create the pecl-networking-ssh2-php7 directory in my user's home directory. I made the extension and set it in the php.ini file.

Any ideas on what is hanging the plugin updater?

closed as off-topic by TheDeadMedic, Mayeenul Islam, bueltge, EAMann Jul 6 '16 at 15:27

This question appears to be off-topic. The users who voted to close gave this specific reason:

  • "Questions that are too localized (such as syntax errors, code with restricted access, hacked sites, hosting or support issues) are not in scope. See how do I ask a good question?" – TheDeadMedic, Mayeenul Islam, bueltge, EAMann
If this question can be reworded to fit the rules in the help center, please edit the question.

  • Do you have all errors and warnings reporting turned on in PHP? – C C Jun 24 '16 at 0:46
0

I solved the problem by installing php-ssh2, which removes libssh2-php on the install.

$ sudo apt-get install php-ssh2

I also had to change permissions on the wp-content folder to 775, but it worked leaving the wp-content/plugins at 755.

$ chmod 775 wp-content

Not the answer you're looking for? Browse other questions tagged or ask your own question.